SDL_MouseMotionEvent Struct Reference

`#include <SDL_events.h>`

## Data Fields

SDL_EventType | type
Uint32 | reserved
Uint64 | timestamp
SDL_WindowID | windowID
SDL_MouseID | which
SDL_MouseButtonFlags | state
float | x
float | y
float | xrel
float | yrel

## Detailed Description

Mouse motion event structure (event.motion.*)

Since
  This struct is available since SDL 3.2.0.

Definition at line 453 of file SDL_events.h.

## Field Documentation

## reserved

Uint32 SDL_MouseMotionEvent::reserved

Definition at line 456 of file SDL_events.h.

## state

SDL_MouseButtonFlags SDL_MouseMotionEvent::state

The current button state

Definition at line 460 of file SDL_events.h.

## timestamp

Uint64 SDL_MouseMotionEvent::timestamp

In nanoseconds, populated using SDL_GetTicksNS()

Definition at line 457 of file SDL_events.h.

## type

SDL_EventType SDL_MouseMotionEvent::type

SDL_EVENT_MOUSE_MOTION

Definition at line 455 of file SDL_events.h.

## which

SDL_MouseID SDL_MouseMotionEvent::which

The mouse instance id in relative mode, SDL_TOUCH_MOUSEID for touch events, SDL_PEN_MOUSEID for pen events, or 0

Definition at line 459 of file SDL_events.h.

## windowID

SDL_WindowID SDL_MouseMotionEvent::windowID

The window with mouse focus, if any

Definition at line 458 of file SDL_events.h.

## x

float SDL_MouseMotionEvent::x

X coordinate, relative to window

Definition at line 461 of file SDL_events.h.

## xrel

float SDL_MouseMotionEvent::xrel

The relative motion in the X direction

Definition at line 463 of file SDL_events.h.

## y

float SDL_MouseMotionEvent::y

Y coordinate, relative to window

Definition at line 462 of file SDL_events.h.

## yrel

float SDL_MouseMotionEvent::yrel

The relative motion in the Y direction

Definition at line 464 of file SDL_events.h.

The documentation for this struct was generated from the following file:

- SDL_events.h